Subject: Re: Allowing cygwin setup to patch up old versions
From: "Max Bowsher" <[email-masked]>
To: "chris" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 2 Aug 2003 00:50:03 +0100

chris wrote:
> The patch system I am currently using is my personal conversion of the
> bsdiff package from *BSD. I was intending to submit a cygwinized
> version, but have decided that to be honest the program is not of the
> highest quality, so think a re-write of the program would be useful
> before releasing it on innocent people :)

Just grabbed the package...
Makefile uses syntax not accepted by GNU make.
Uses that <err.h> header which we don't have.
Took a look at the code... Owww! My eyes!

I can see why you backed away from packaging this thing!

> Howev bsdiff does create some
> very small patches, and is specially designed to cope with binaries, and
> the kind of differences you get in binaries, better than normal diff
...
> The other major thing is that what I diff is (obviously) the .tar files,
> not the .tar.bz2 files, as even a small change to a file usually totally
> changes a compressed version of it. The only problem I can see this
> causing is that the bzip2 files must be compressed in exactly the same
> way. However I expect that everyone will compress their .bzip2s with the
> default, and best setting. If it turns out these files drift then I may
> be forced to MD5 the .tar files. I would like to keep the changes
> required as small as possible tho.

It looks like this will work out ok. I've got my machine un-bzip2ing and
re-bzip2ing all the Cygwin packages I have downloaded. It's only got to
P(alphabetically), but that is still a lot of packages. So far, only one
difference: The fortune bz2 has a few KB of nulls appended to the bz2 data,
which of course get stripped by the de/re-compress.

There are only 2 packages left in the distro using gzip-compression (crypt
and irc) - we can probably get those recompressed as bzip2, if it turns out
to be an issue.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/